Skip to Content
SeyloDocs
API referenceNotifications

List notification channels

GET
/api/v1/notifications.channels

Lists every notification channel with a redacted target, which services use it and its last delivery. Secrets are never returned.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Response Body

Success.

application/json
  1. response
channels*array<>
Example Request
curl -X GET 'https://example.com/api/v1/notifications.channels'
Example Response
{  "channels": [    {      "id": "string",      "name": "string",      "kind": "smtp",      "enabled": true,      "isDefault": true,      "config": {        "kind": "smtp",        "host": "string",        "port": 0,        "security": "starttls",        "username": "string",        "from": "string",        "to": [          "string"        ]      },      "secretsSet": [        "string"      ],      "target": "string",      "usedBy": {        "services": 0,        "defaults": true      },      "lastDelivery": {        "status": "sent",        "at": "2019-08-24T14:15:22Z",        "error": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}